import { ProcessingStatusPipe } from './processing-status.pipe';
import { OrderItemProcessingStatusValue } from '@swagger/oms/lib';

fdescribe('ProcessingStatusPipe', () => {
  let pipe: ProcessingStatusPipe;

  beforeEach(() => {
    pipe = new ProcessingStatusPipe();
  });

  it('should return the status name for status 16 (bestellt)', () => {
    const bestelltStatusCode = 16;
    const result = pipe.transform(bestelltStatusCode);

    expect(result).toEqual('bestellt');
  });

  it('should return an empty string if the status code is not found', () => {
    const notExistingStatusCode = 17;
    const result = pipe.transform(notExistingStatusCode as OrderItemProcessingStatusValue);

    expect(result).toEqual('');
  });
});
